---
title: Setup
description: Configure an initial InfluxDB Cloud instance, including creating the initial user, organization, and bucket.
url: https://docs.influxdata.com/influxdb/cloud/api/setup/
estimated_tokens: 986
product: InfluxDB Cloud (TSM)
version: cloud
publisher: InfluxData
canonical: https://docs.influxdata.com/influxdb/cloud/api/setup/
---

[Download InfluxDB Cloud (TSM) API Spec](/openapi/influxdb-cloud-v2-api.yml)

Configure an initial InfluxDB Cloud instance, including creating the initial user, organization, and bucket.

GET`/api/v2/setup`

### Retrieve setup status

Check if setup is allowed. Returns `true` if no default user, organization, or bucket have been created.

#### Parameters

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200Setup is allowed, true or false

`allowed`boolean

If `true`, the InfluxDB instance hasn’t had initial setup;`false` otherwise.

POST`/api/v2/setup`

### Create an initial user, organization, and bucket

Post an onboarding request to create an initial user, organization, and bucket.

#### Parameters

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

Source to create

Content-Type:`application/json`

`bucket`requiredstring

`limit`string

`org`requiredstring

`password`string

`retentionPeriodHrs`integer

`retentionPeriodSeconds`integer

`username`requiredstring

Example request[Ask AI about this](#)

```sh
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "bucket": "BUCKET",
  "limit": {},
  "org": "ORG",
  "password": "PASSWORD",
  "retentionPeriodHrs": 0,
  "retentionPeriodSeconds": 0,
  "username": "USERNAME"
}'
```

#### Responses

201The created default user, bucket, and organization

`auth`string

`bucket`string

`org`string

`user`string

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

POST`/api/v2/setup/user`

### Create a new user, organization, and bucket

Post an onboarding request to create a new user, organization, and bucket.

#### Request bodyrequired

Source to create

Content-Type:`application/json`

`bucket`requiredstring

`limit`string

`org`requiredstring

`password`string

`retentionPeriodHrs`integer

`retentionPeriodSeconds`integer

`username`requiredstring

Example request[Ask AI about this](#)

```sh
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/setup/user" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "bucket": "BUCKET",
  "limit": {},
  "org": "ORG",
  "password": "PASSWORD",
  "retentionPeriodHrs": 0,
  "retentionPeriodSeconds": 0,
  "username": "USERNAME"
}'
```

#### Responses

201The created default user, bucket, and organization.

`auth`string

`bucket`string

`org`string

`user`string

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.
